# eoParseTree< FType, Node > Class Template Reference
[ParseTree]

Implementation of parse-tree for genetic programming. More...

`#include <gp/eoParseTree.h>`

Inheritance diagram for eoParseTree< FType, Node >:

List of all members.

## Public Types

typedef parse_tree< Node >::subtree | Subtree
typedef Node | reference
typedef const reference | const_reference

## Public Member Functions

| eoParseTree (void)
| Default Constructor.
| eoParseTree (const parse_tree< Node > &tree)
| Copy Constructor.
virtual void | pruneTree (unsigned _size)
| To prune me to a certain size.
| eoParseTree (std::istream &is)
| To read me from a stream.
std::string | className (void) const
| My class name.
void | printOn (std::ostream &os) const
| To print me on a stream.
void | readFrom (std::istream &is)
| To read me from a stream.

## Detailed Description

### template<class FType, class Node>
class eoParseTree< FType, Node >

Implementation of parse-tree for genetic programming.

Definition at line 54 of file eoParseTree.h.

## Constructor & Destructor Documentation

template<class FType, class Node>
eoParseTree< FType, Node >::eoParseTree | ( | const parse_tree< Node > & | tree | ) | `[inline]`

Copy Constructor.

Parameters:

  | tree | The tree to copy

Definition at line 79 of file eoParseTree.h.

template<class FType, class Node>
eoParseTree< FType, Node >::eoParseTree | ( | std::istream & | is | ) | `[inline]`

To read me from a stream.

Parameters:

  | is | The std::istream

Definition at line 102 of file eoParseTree.h.

References eoParseTree< FType, Node >::readFrom().

## Member Function Documentation

template<class FType, class Node>
virtual void eoParseTree< FType, Node >::pruneTree | ( | unsigned | _size | ) | `[inline, virtual]`

To prune me to a certain size.

Parameters:

  | _size | My maximum size

Definition at line 86 of file eoParseTree.h.

Referenced by eoCollapseSubtreeMutation< FType, Node >::operator()(), eoExpansionMutation< FType, Node >::operator()(), eoBranchMutation< FType, Node >::operator()(), and eoSubtreeXOver< FType, Node >::operator()().

template<class FType, class Node>
void eoParseTree< FType, Node >::printOn | ( | std::ostream & | os | ) | const`[inline, virtual]`

To print me on a stream.

Parameters:

  | os | The std::ostream

Reimplemented from EO< FType >.

Definition at line 114 of file eoParseTree.h.

References EO< F >::printOn().

template<class FType, class Node>
void eoParseTree< FType, Node >::readFrom | ( | std::istream & | is | ) | `[inline, virtual]`

To read me from a stream.

Parameters:

  | is | The std::istream

Reimplemented from EO< FType >.

Definition at line 128 of file eoParseTree.h.

References EO< F >::readFrom().

Referenced by eoParseTree< FType, Node >::eoParseTree().

The documentation for this class was generated from the following file:

- eoParseTree.h